Query IVR List
Query the IVR list.
Request URL
GET {base_url}/{api_path}/ivr/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of IVRs. |
| data | Array <IVR_List> | The basic information of each IVR. |
IVR_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the IVR. |
| number | String | IVR number. |
| name | String | IVR name. |
| dial_ext_option | String | Whether to allow callers to dial extensions via the IVR.
|
| enb_dial_outb_routes | Integer | Whether to allow callers to use outbound routes to make outbound calls from the IVR.
|
| client_unique_ringtone | String | The distinctive ringtone that will be played on extension users' Simu Connect clients when they receive calls from this IVR. |
Examples
Request example
GET /openapi/v1.0/ivr/list?access_token=Jh5d63SPHsNMnv6nzoOgUeKDyXSuOGxg&page=1&page_size=20&sort_by=id&order_by=asc HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 4,
"data": [
{
"id": 1,
"number": "6202",
"name": "VoicePrompt",
"dial_ext_option": "disable",
"enb_dial_outb_routes": 0,
"client_unique_ringtone": "Ring1.mp3"
},
{
"id": 2,
"number": "6203",
"name": "VoiceAssist Navigator",
"dial_ext_option": "disable",
"enb_dial_outb_routes": 0,
"client_unique_ringtone": ""
},
{
"id": 3,
"number": "6200",
"name": "VoiceMenu Navigator",
"dial_ext_option": "allow",
"enb_dial_outb_routes": 1,
"client_unique_ringtone": "example-1.wav"
},
{
"id": 4,
"number": "6201",
"name": "Virtual Receptionist",
"dial_ext_option": "all",
"enb_dial_outb_routes": 1,
"client_unique_ringtone": "Ring8.mp3"
}
]
}